Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.user
Interface UserMonitor

All Superinterfaces:
  Monitor

    public interface UserMonitor

extends Monitor

This `UserMonitor` takes charge of managing all user/session's monitoring contents.

Method Summary
`java.util.Vector` | `getAllUserSessions()` Gets all user sessions in the whole monitored Report Server.
`java.lang.String` | `getHttpSessionID(java.lang.String usID)` Gets a HTTP session ID associated with the specified User session.
`int` | `getSessionTimeout()` Gets the current user session's Timeout value (in milliseconds).
`java.util.Vector` | `getSortedUserSessions(java.util.Vector origVec, int[] orderArr)` Sorts a user sessions vector according to the specified ordered array.
`java.util.Vector` | `getUserSessionsByUser(java.lang.String userID)` Gets all user sessions associated with the given user in the whole monitored Server.
`void` | `removeAllSelectedUserSessions(java.lang.String[] sIDArr)` Removes all the selected user sessions identified by the specified session ID array.
`void` | `removeAllUserSessions()` Removes all the user sessions in the current monitored Server.
`void` | `removeUserSessionBySessionID(java.lang.String sessionID)` Removes a user session by the specified session ID.
`void` | `removeUserSessionsByUserID(java.lang.String userID)` Removes all the user sessions identified by the specified userID.
`void` | `setSessionTimeout(int sTimeout)` Resets user session's Timeout value (in milliseconds).

Methods inherited from interface jet.server.monitor.api.Monitor
`getDuration, getInterval, isStarted, restart, setDuration, setInterval, start, stop, update`

Method Detail

### getAllUserSessions

    java.util.Vector getAllUserSessions()

  Gets all user sessions in the whole monitored Report Server.

  Returns:
    All currently valid `UserSession`s. wrap `UserSession`'s object.

### getUserSessionsByUser

    java.util.Vector getUserSessionsByUser(java.lang.String userID)

  Gets all user sessions associated with the given user in the whole monitored Server.

  Parameters:
    `userID,` - The given user ID.
  Returns:
    All currently valid `UserSession`s associated with the given user. wrap `UserSession`'s object.

### getSortedUserSessions

    java.util.Vector getSortedUserSessions(java.util.Vector origVec,
                                           int[] orderArr)

  Sorts a user sessions vector according to the specified ordered array.

  Parameters:
    `origVec` - The original Vector, which needs to be sorted.
    `orderArr` - The original Vector will be sorted by these parameter's order.
  Returns:
    A sorted user sessions vector.

### removeUserSessionBySessionID

    void removeUserSessionBySessionID(java.lang.String sessionID)

  Removes a user session by the specified session ID.

  Parameters:
    `sessionID` - The specified session ID.

### removeUserSessionsByUserID

    void removeUserSessionsByUserID(java.lang.String userID)

  Removes all the user sessions identified by the specified userID.

  Parameters:
    `userID` - The specified user ID.

### removeAllSelectedUserSessions

    void removeAllSelectedUserSessions(java.lang.String[] sIDArr)

  Removes all the selected user sessions identified by the specified session ID array.

  Parameters:
    `sIDArr` - An array of user sessions IDs.

### removeAllUserSessions

    void removeAllUserSessions()

  Removes all the user sessions in the current monitored Server.

### getHttpSessionID

    java.lang.String getHttpSessionID(java.lang.String usID)

  Gets a HTTP session ID associated with the specified User session.

  Parameters:
    `usID` - The specified user session ID.
  Returns:
    The associated HTTP session ID.

### getSessionTimeout

    int getSessionTimeout()

  Gets the current user session's Timeout value (in milliseconds).

  Returns:
    User Session's Timeout value.

### setSessionTimeout

    void setSessionTimeout(int sTimeout)

  Resets user session's Timeout value (in milliseconds).

  Parameters:
    `sTimeout,` - the specified Timeout value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD